using Microsoft.AspNetCore.Mvc;
using Nirvana.Common;
using System.Threading.Tasks;
using YBDevice.Application;
using YBDevice.Application.ViewInfo;

namespace YBDevice.NWeb.Pages.Official
{
    /// <summary>
    /// ¹«ÖÚºÅ¹ÜÀí
    /// </summary>
    public class IndexModel : BaseModel
    {
        public string authpage = "";
        private IViewEngineService _viewEngineService;
        public ViewS2SDto viewdata = new ViewS2SDto();
        public IndexModel(IViewEngineService viewEngineService)
        {
            _viewEngineService = viewEngineService;
        }
        public async Task OnGetAsync()
        {
            var BaseUser = BaseInfoService.GetUserInfo();
            authpage = $"{Furion.App.Configuration["CustomSetting:WXAPIURL"]}/openoauth/jumptompoauth?businessid={BaseUser.BusinessId}&type=1";
            viewdata = await _viewEngineService.GetBtnListAsync();
        }
    }
}
